Subject: PC-Pine: Unix mbox versus c-client MBX

From: Thomas Baker <[email-masked]>
Date: Mon, 11 Feb 2002 19:49:24 +0100 (MET)

Dear all,

Like posters before me, I was dismayed to find that PC-Pine does not by
default share the mbox format of Unix Pine.  However, since PC-Pine can
apparently read and write the mbox format, Nancy very reasonably
suggested that this be configurable as the default, since the
workaround -- preappending #driver.unix all the time -- is so
inconvenient (see below).

Does anyone know if this idea has been taken up by the
developers?  For an individual with a Pentium III laptop with
500 MB RAM, the advantages of flat-text mbox files far outweigh
the supposed benefits of "c-client MBX" for faster performance
and multi-user access.

I guess there's always mutt.exe, but for some reason I haven't been
able to get it to work properly on my machine.  I have always really
liked Pine under Unix and would dearly like to keep using it under
WIN2000.

Tom

Message http://www.washington.edu/pine/pine-info/2001.04/msg00110.html:

  --On Saturday, 28 April, 2001 Timothy Luoma wrote:
  > Well I split the mailbox using sed, formail and procmail, and now
  > have access to my messages again....
  >
  > Is there NO way to force PC-PINE to use regular flat files?
  > (Performance is not as critical to me as not being locked out of my
  > mailbox ever again!)
  >
  >> Larger Issue #2) I have now discovered, much to my horror and
  >> dismay, that PC-PINE (unlike Unix pine) does not store my email
  >> messages in plain text, but in some proprietary format that does
  >> not allow me to open my 'read' mailbox in a text editor and see
  >> the text.  WHY IS THAT?!?!??!  Can I make PC-PINE use regular flat
  >> files?

  I've had the same frustrations you've had Tim and I refuse to use MBX
  mailboxes until there are tools (for both Unix and Windows) to
  *easily* fix a corrupted MBX mailbox. Another problem with MBX
  mailboxes is that you cannot use any of the tools that assume your
  local mailboxes are in Unix mbox format, for example grepmail (which
  is amazingly cool BTW) and Mulberry [+]. Mulberry -- like all IMAP
  clients -- can access MBX mailboxes using IMAP though. The way that I
  ensure my mailboxes are in Unix mbox format is to:

  1) Mainly store my mailboxes on a UW IMAP server that defaults to use
  Unix mbox format.

  2) If I need a mailbox on my PC for some reason (e.g. I want to
  access it when I'm offline), I ftp the mailbox from the Unix system
  to my PC.

  3) Use Cygwin Pine which defaults to creating local mailboxes in Unix
  mbox format. [+]

  4) If I need to create a local mailbox with PC-Pine, I specify the
  mailbox name like this:

       #driver.unix\relative\path\to\mailbox

  where the path is relative to %HOME%. Or like this

       #driver.unix\\full\path\to\mailbox

  where the full path is on the current drive (usually C:). Or like this

       #driver.unix\D:\full\path\to\mailbox

  where the full path is on D drive.

  As you can imagine, this is a pain when you want to create a mailbox
  in a /really/long/directory/path/that/is/not/relative/to/HOME.
  Unfortunately, #driver.unix is not aware of the current folder
  collection and gives a message like this

   [Folder "#driver.unix\mailbox" created outside current collection]

  if you try to add a mailbox to the current collection.

  REQUEST TO PINE DEVELOPERS
  ==========================
  * Have "#driver.unix\relative\path\to\mailbox" be relative to the
  current  collection rather than %HOME%.

  * Add a variable to Pine that lets a PC-Pine user specify the default
  mailbox format. I tried doing this:

     disable-these-drivers=mbx

  but that didn't work.

  * Add information to the Pine web site about #driver.unix. If it's
  already there, change the search engine so that when you do a search
  for "driver.unix", the relevant pages show up. Maybe this is just a
  matter of telling users how to escape a period in the PIC search
  engine???
  QUESTION
  ========
  Does anyone know where I can find a precompiled version of UW IMAP
  for Cygwin? This way I could use mbxcopy and mbxcvt to convert MBX
  mailboxes on my PC to Unix mbox format. Also I could access and
  create all my local PC mailboxes using UW IMAP and thus they would
  default to being in Unix mbox format.

  Thanks,
  Nancy
  posted & cc'd

  [+] For info about grepmail, Cygwin Pine, a comparison of Pine &
  Mulberry, and lots more Pine info, see

       http://www.ii.com/internet/messaging/pine/

  --
  Nancy McGough          http://www.ii.com          Infinite Ink

_______________________________________________________________________________
Dr. Thomas Baker                                         [email-masked]
Birlinghoven Library, Fraunhofer-Gesellschaft
Institutszentrum Schloss Birlinghoven                          +49-2241-14-2352
53754 Sankt Augustin, Germany                              fax +49-2241-14-2619

Home: Stubenrauchstr. 64                           home-office +49-30-8109-9027
      14167 Berlin, Germany                             mobile +49-171-408-5784

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------